Name:           python-docopt
Version:        0.5.0
Release:        1%{?dist}
Summary:        Pythonic argument parser, that will make you smile

License:        MIT
URL:            https://github.com/docopt/docopt
Source0:        http://pypi.python.org/packages/source/d/docopt/docopt-%{version}.tar.gz

BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python2-devel
BuildArch:      noarch

%description
Isn't it awesome how optparse and argparse generate help messages
based on your code?!

Hell no! You know what's awesome? It's when the option parser is
generated based on the beautiful help message that you write yourself!
This way you don't need to write thisstupid repeatable parser-code,
and instead can write only the help message--*the way you want it*.

%prep
%setup -q -n docopt-%{version}

# remove upstream egg-info
rm -rf *.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%{python_sitelib}/docopt.py*
%{python_sitelib}/docopt-*.egg-info

%changelog
* Mon Jan 14 2013 Martin Sivak <msivak@euryale.brq.redhat.com> - 0.5.0-1
- Inital release
